﻿@model ServiceCallView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/ServiceCall/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<div class="row">
    <div>
        <h1 class="page-header">@ServiceCall.Search @ServiceCall.ServiceCallTitle</h1>


        <div class="row">

            <div class="col-md-3">
                <div class="panel-group" id="accordion">
                    <div class="panel panel-default">
                        <div class="panel-heading buscar_main">
                            <h3 class="panel-title">
                                <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Search </a>
                                <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                            </h3>
                        </div>
                        <div id="collapseOne" class="panel-collapse collapse in">
                            <div class="panel-body">

                               

                                <div class="form-group">                                      
                                    @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @ServiceCall.CustCode, @class = "form-control" })
                                </div>

                                <div class="form-group">                                      
                                    @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @Name = "txtNameVendor", @placeholder = @ServiceCall.CustName, @class = "form-control", @disabled = "disabled" })
                                </div>

                                <div class="form-group">
                                    <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>Search Customer</button>
                                </div>
                                
                             

                                <div class="form-group">
                                    
                                        <select id="cmbPriority" class="form-control" name="cmbPriority">
                                            <option selected="selected" value="">@ServiceCall.Priority</option>
                                            <option value="L">Low</option>
                                            <option value="M">Medium</option>
                                            <option value="H">High</option>
                                        </select>
                                  
                                </div>
                               

                                <div class="form-group">                                  
                                    
                                        @Html.TextBox("txtSubject", null, new { @Id = "txtSubject", @Name = "txtSubject", @placeholder = @ServiceCall.Subject, @class = "form-control" })
                                                                   
                                </div>
                               
                              

                                <div class="form-group">                                   
                                   
                                        @Html.TextBox("txtRefNumber", null, new { @Id = "txtRefNumber", @Name = "txtRefNumber", @placeholder = @ServiceCall.RefNumber, @class = "form-control" })
                                                                    
                                </div>
                               

                                <div class="form-group">
                                   
                                        <div class="input-group date">
                                            @Html.TextBox("txtDate", null, new { @Id = "txtDate", @placeholder = @ServiceCall.Date, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                        </div>
                                 
                                </div>

                                <div class="form-group">
                                   
                                        @Html.DropDownList("SelectStatus", new SelectList(
                                            Model.ComboList.ServiceStatusList,
                                            "statusID",
                                            "Name", ""), new { @Id = "SelectStatus", @class = "form-control" })
                                
                                </div>

                               
                            </div>

                            <div class="panel-footer">
                                    <button type="button" id="btSearch" class="btn btn-primary btn-lg pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div id="BodyServiceCall" class="col-md-9">
                @Html.Partial("_ServiceCallList", Tuple.Create(new List<ServiceCallView>(), Model.ComboList.ServiceStatusList))             
            </div>
        </div>


    </div>
</div>


<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@ServiceCall.Search @ServiceCall.Customer</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @Activity.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @Activity.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @Activity.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/ServiceCall/ServiceCall/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@Activity.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@Activity.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@Activity.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@Activity.Customer"; break;
                                                        case "S": return "@Activity.Vendor"; break;
                                                        case "L": return "@Activity.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @Activity.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@ServiceCall.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/ServiceCall-Index")
